curl --request POST \
--url https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"settlementConfig": {
"settlements": [
{
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"destinationConfig": {
"destinations": [
{
"type": "address",
"identifier": "An example name"
}
]
},
"baseUrl": "<string>",
"memo": {},
"expiresIn": 123,
"pegStablecoins": true,
"disableSwaps": true,
"uiConfig": {
"returnUrl": "<string>",
"termsOfServicesUrl": "https://website-sample.com",
"merchantName": "An example name",
"merchantLogoUrl": "https://website-sample.com/logo.png",
"externalPaymentId": "An example name",
"enabledPaymentMethods": []
}
}
'import requests
url = "https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links"
payload = {
"amount": "<string>",
"settlementConfig": { "settlements": [
{
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": True
}
] },
"destinationConfig": { "destinations": [
{
"type": "address",
"identifier": "An example name"
}
] },
"baseUrl": "<string>",
"memo": {},
"expiresIn": 123,
"pegStablecoins": True,
"disableSwaps": True,
"uiConfig": {
"returnUrl": "<string>",
"termsOfServicesUrl": "https://website-sample.com",
"merchantName": "An example name",
"merchantLogoUrl": "https://website-sample.com/logo.png",
"externalPaymentId": "An example name",
"enabledPaymentMethods": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
settlementConfig: {
settlements: [
{
tokenAddress: 'An example name',
chainId: 'An example name',
symbol: 'An example name',
tokenDecimals: 18,
isNative: true
}
]
},
destinationConfig: {destinations: [{type: 'address', identifier: 'An example name'}]},
baseUrl: '<string>',
memo: {},
expiresIn: 123,
pegStablecoins: true,
disableSwaps: true,
uiConfig: {
returnUrl: '<string>',
termsOfServicesUrl: 'https://website-sample.com',
merchantName: 'An example name',
merchantLogoUrl: 'https://website-sample.com/logo.png',
externalPaymentId: 'An example name',
enabledPaymentMethods: []
}
})
};
fetch('https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '<string>',
'settlementConfig' => [
'settlements' => [
[
'tokenAddress' => 'An example name',
'chainId' => 'An example name',
'symbol' => 'An example name',
'tokenDecimals' => 18,
'isNative' => true
]
]
],
'destinationConfig' => [
'destinations' => [
[
'type' => 'address',
'identifier' => 'An example name'
]
]
],
'baseUrl' => '<string>',
'memo' => [
],
'expiresIn' => 123,
'pegStablecoins' => true,
'disableSwaps' => true,
'uiConfig' => [
'returnUrl' => '<string>',
'termsOfServicesUrl' => 'https://website-sample.com',
'merchantName' => 'An example name',
'merchantLogoUrl' => 'https://website-sample.com/logo.png',
'externalPaymentId' => 'An example name',
'enabledPaymentMethods' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links"
payload := strings.NewReader("{\n \"amount\": \"<string>\",\n \"settlementConfig\": {\n \"settlements\": [\n {\n \"tokenAddress\": \"An example name\",\n \"chainId\": \"An example name\",\n \"symbol\": \"An example name\",\n \"tokenDecimals\": 18,\n \"isNative\": true\n }\n ]\n },\n \"destinationConfig\": {\n \"destinations\": [\n {\n \"type\": \"address\",\n \"identifier\": \"An example name\"\n }\n ]\n },\n \"baseUrl\": \"<string>\",\n \"memo\": {},\n \"expiresIn\": 123,\n \"pegStablecoins\": true,\n \"disableSwaps\": true,\n \"uiConfig\": {\n \"returnUrl\": \"<string>\",\n \"termsOfServicesUrl\": \"https://website-sample.com\",\n \"merchantName\": \"An example name\",\n \"merchantLogoUrl\": \"https://website-sample.com/logo.png\",\n \"externalPaymentId\": \"An example name\",\n \"enabledPaymentMethods\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"<string>\",\n \"settlementConfig\": {\n \"settlements\": [\n {\n \"tokenAddress\": \"An example name\",\n \"chainId\": \"An example name\",\n \"symbol\": \"An example name\",\n \"tokenDecimals\": 18,\n \"isNative\": true\n }\n ]\n },\n \"destinationConfig\": {\n \"destinations\": [\n {\n \"type\": \"address\",\n \"identifier\": \"An example name\"\n }\n ]\n },\n \"baseUrl\": \"<string>\",\n \"memo\": {},\n \"expiresIn\": 123,\n \"pegStablecoins\": true,\n \"disableSwaps\": true,\n \"uiConfig\": {\n \"returnUrl\": \"<string>\",\n \"termsOfServicesUrl\": \"https://website-sample.com\",\n \"merchantName\": \"An example name\",\n \"merchantLogoUrl\": \"https://website-sample.com/logo.png\",\n \"externalPaymentId\": \"An example name\",\n \"enabledPaymentMethods\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"<string>\",\n \"settlementConfig\": {\n \"settlements\": [\n {\n \"tokenAddress\": \"An example name\",\n \"chainId\": \"An example name\",\n \"symbol\": \"An example name\",\n \"tokenDecimals\": 18,\n \"isNative\": true\n }\n ]\n },\n \"destinationConfig\": {\n \"destinations\": [\n {\n \"type\": \"address\",\n \"identifier\": \"An example name\"\n }\n ]\n },\n \"baseUrl\": \"<string>\",\n \"memo\": {},\n \"expiresIn\": 123,\n \"pegStablecoins\": true,\n \"disableSwaps\": true,\n \"uiConfig\": {\n \"returnUrl\": \"<string>\",\n \"termsOfServicesUrl\": \"https://website-sample.com\",\n \"merchantName\": \"An example name\",\n \"merchantLogoUrl\": \"https://website-sample.com/logo.png\",\n \"externalPaymentId\": \"An example name\",\n \"enabledPaymentMethods\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"flow": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"mode": "payment",
"amount": "<string>",
"currency": "An example name",
"executionState": "initiated",
"settlementState": "none",
"riskState": "unknown",
"quoteVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"amountUsd": "<string>",
"currencyTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
},
"memo": {},
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"sourceType": "wallet",
"fromAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"fromChainId": "An example name",
"fromChainName": "ETH",
"fromToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"toChainId": "An example name",
"toChainName": "ETH",
"toToken": "An example name",
"quote": {
"version": 123,
"fromAmount": "<string>",
"toAmount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"fees": {
"totalFeeUsd": "<string>",
"gasEstimate": {
"usdValue": "<string>",
"nativeValue": "<string>",
"nativeSymbol": "<string>"
}
},
"estimatedTimeSec": 123,
"signingPayload": {
"chainName": "ETH",
"chainId": "<string>",
"evmTransaction": {
"to": "<string>",
"data": "<string>",
"value": "<string>",
"gasLimit": "<string>",
"gasPrice": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": 123
},
"evmApproval": {
"tokenAddress": "<string>",
"spenderAddress": "<string>",
"amount": "<string>"
},
"serializedTransaction": "<string>",
"psbt": "<string>",
"tronTransaction": {
"rawDataHex": "<string>",
"to": "<string>",
"value": "<string>"
}
},
"fromChainName": "ETH",
"fromChainId": "An example name",
"fromToken": "An example name",
"toChainName": "ETH",
"toChainId": "An example name",
"toToken": "An example name",
"fromTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
},
"toTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
}
},
"txHash": "<string>",
"settlementTxHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceConfirmedAt": "2023-11-07T05:31:56Z",
"confirmations": 123,
"settlement": {
"toChainId": "An example name",
"toToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"completedAt": "2023-11-07T05:31:56Z",
"amount": "<string>",
"amountUsd": "<string>",
"toTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
}
},
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "An example name",
"message": "<string>",
"category": "An example name",
"stage": "An example name",
"retryable": true,
"details": {}
},
"expiresAt": "2023-11-07T05:31:56Z",
"depositAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"exchangeSource": {
"exchangeId": "95b11417-f18f-457f-8804-68e361f9164f",
"metadata": {}
},
"pegStablecoins": true,
"disableSwaps": true,
"uiConfig": {
"returnUrl": "<string>",
"termsOfServicesUrl": "https://website-sample.com",
"merchantName": "An example name",
"merchantLogoUrl": "https://website-sample.com/logo.png",
"externalPaymentId": "An example name",
"enabledPaymentMethods": [
"wallet"
]
},
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
}
},
"paymentUrl": "<string>"
}{
"error": "<string>",
"code": "exchange_currency_unsupported"
}{
"error": "No jwt provided!"
}{
"error": "Internal Server Error"
}Create a payment link
Create a payment-mode flow and a shareable payer URL.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": "<string>",
"settlementConfig": {
"settlements": [
{
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"destinationConfig": {
"destinations": [
{
"type": "address",
"identifier": "An example name"
}
]
},
"baseUrl": "<string>",
"memo": {},
"expiresIn": 123,
"pegStablecoins": true,
"disableSwaps": true,
"uiConfig": {
"returnUrl": "<string>",
"termsOfServicesUrl": "https://website-sample.com",
"merchantName": "An example name",
"merchantLogoUrl": "https://website-sample.com/logo.png",
"externalPaymentId": "An example name",
"enabledPaymentMethods": []
}
}
'import requests
url = "https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links"
payload = {
"amount": "<string>",
"settlementConfig": { "settlements": [
{
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": True
}
] },
"destinationConfig": { "destinations": [
{
"type": "address",
"identifier": "An example name"
}
] },
"baseUrl": "<string>",
"memo": {},
"expiresIn": 123,
"pegStablecoins": True,
"disableSwaps": True,
"uiConfig": {
"returnUrl": "<string>",
"termsOfServicesUrl": "https://website-sample.com",
"merchantName": "An example name",
"merchantLogoUrl": "https://website-sample.com/logo.png",
"externalPaymentId": "An example name",
"enabledPaymentMethods": []
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: '<string>',
settlementConfig: {
settlements: [
{
tokenAddress: 'An example name',
chainId: 'An example name',
symbol: 'An example name',
tokenDecimals: 18,
isNative: true
}
]
},
destinationConfig: {destinations: [{type: 'address', identifier: 'An example name'}]},
baseUrl: '<string>',
memo: {},
expiresIn: 123,
pegStablecoins: true,
disableSwaps: true,
uiConfig: {
returnUrl: '<string>',
termsOfServicesUrl: 'https://website-sample.com',
merchantName: 'An example name',
merchantLogoUrl: 'https://website-sample.com/logo.png',
externalPaymentId: 'An example name',
enabledPaymentMethods: []
}
})
};
fetch('https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '<string>',
'settlementConfig' => [
'settlements' => [
[
'tokenAddress' => 'An example name',
'chainId' => 'An example name',
'symbol' => 'An example name',
'tokenDecimals' => 18,
'isNative' => true
]
]
],
'destinationConfig' => [
'destinations' => [
[
'type' => 'address',
'identifier' => 'An example name'
]
]
],
'baseUrl' => '<string>',
'memo' => [
],
'expiresIn' => 123,
'pegStablecoins' => true,
'disableSwaps' => true,
'uiConfig' => [
'returnUrl' => '<string>',
'termsOfServicesUrl' => 'https://website-sample.com',
'merchantName' => 'An example name',
'merchantLogoUrl' => 'https://website-sample.com/logo.png',
'externalPaymentId' => 'An example name',
'enabledPaymentMethods' => [
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links"
payload := strings.NewReader("{\n \"amount\": \"<string>\",\n \"settlementConfig\": {\n \"settlements\": [\n {\n \"tokenAddress\": \"An example name\",\n \"chainId\": \"An example name\",\n \"symbol\": \"An example name\",\n \"tokenDecimals\": 18,\n \"isNative\": true\n }\n ]\n },\n \"destinationConfig\": {\n \"destinations\": [\n {\n \"type\": \"address\",\n \"identifier\": \"An example name\"\n }\n ]\n },\n \"baseUrl\": \"<string>\",\n \"memo\": {},\n \"expiresIn\": 123,\n \"pegStablecoins\": true,\n \"disableSwaps\": true,\n \"uiConfig\": {\n \"returnUrl\": \"<string>\",\n \"termsOfServicesUrl\": \"https://website-sample.com\",\n \"merchantName\": \"An example name\",\n \"merchantLogoUrl\": \"https://website-sample.com/logo.png\",\n \"externalPaymentId\": \"An example name\",\n \"enabledPaymentMethods\": []\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"<string>\",\n \"settlementConfig\": {\n \"settlements\": [\n {\n \"tokenAddress\": \"An example name\",\n \"chainId\": \"An example name\",\n \"symbol\": \"An example name\",\n \"tokenDecimals\": 18,\n \"isNative\": true\n }\n ]\n },\n \"destinationConfig\": {\n \"destinations\": [\n {\n \"type\": \"address\",\n \"identifier\": \"An example name\"\n }\n ]\n },\n \"baseUrl\": \"<string>\",\n \"memo\": {},\n \"expiresIn\": 123,\n \"pegStablecoins\": true,\n \"disableSwaps\": true,\n \"uiConfig\": {\n \"returnUrl\": \"<string>\",\n \"termsOfServicesUrl\": \"https://website-sample.com\",\n \"merchantName\": \"An example name\",\n \"merchantLogoUrl\": \"https://website-sample.com/logo.png\",\n \"externalPaymentId\": \"An example name\",\n \"enabledPaymentMethods\": []\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.dynamicauth.com/api/v0/server/{environmentId}/payment-links")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"<string>\",\n \"settlementConfig\": {\n \"settlements\": [\n {\n \"tokenAddress\": \"An example name\",\n \"chainId\": \"An example name\",\n \"symbol\": \"An example name\",\n \"tokenDecimals\": 18,\n \"isNative\": true\n }\n ]\n },\n \"destinationConfig\": {\n \"destinations\": [\n {\n \"type\": \"address\",\n \"identifier\": \"An example name\"\n }\n ]\n },\n \"baseUrl\": \"<string>\",\n \"memo\": {},\n \"expiresIn\": 123,\n \"pegStablecoins\": true,\n \"disableSwaps\": true,\n \"uiConfig\": {\n \"returnUrl\": \"<string>\",\n \"termsOfServicesUrl\": \"https://website-sample.com\",\n \"merchantName\": \"An example name\",\n \"merchantLogoUrl\": \"https://website-sample.com/logo.png\",\n \"externalPaymentId\": \"An example name\",\n \"enabledPaymentMethods\": []\n }\n}"
response = http.request(request)
puts response.read_body{
"flow": {
"id": "95b11417-f18f-457f-8804-68e361f9164f",
"mode": "payment",
"amount": "<string>",
"currency": "An example name",
"executionState": "initiated",
"settlementState": "none",
"riskState": "unknown",
"quoteVersion": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"amountUsd": "<string>",
"currencyTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
},
"memo": {},
"userId": "95b11417-f18f-457f-8804-68e361f9164f",
"sourceType": "wallet",
"fromAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"fromChainId": "An example name",
"fromChainName": "ETH",
"fromToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"toChainId": "An example name",
"toChainName": "ETH",
"toToken": "An example name",
"quote": {
"version": 123,
"fromAmount": "<string>",
"toAmount": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"fees": {
"totalFeeUsd": "<string>",
"gasEstimate": {
"usdValue": "<string>",
"nativeValue": "<string>",
"nativeSymbol": "<string>"
}
},
"estimatedTimeSec": 123,
"signingPayload": {
"chainName": "ETH",
"chainId": "<string>",
"evmTransaction": {
"to": "<string>",
"data": "<string>",
"value": "<string>",
"gasLimit": "<string>",
"gasPrice": "<string>",
"maxFeePerGas": "<string>",
"maxPriorityFeePerGas": "<string>",
"nonce": 123
},
"evmApproval": {
"tokenAddress": "<string>",
"spenderAddress": "<string>",
"amount": "<string>"
},
"serializedTransaction": "<string>",
"psbt": "<string>",
"tronTransaction": {
"rawDataHex": "<string>",
"to": "<string>",
"value": "<string>"
}
},
"fromChainName": "ETH",
"fromChainId": "An example name",
"fromToken": "An example name",
"toChainName": "ETH",
"toChainId": "An example name",
"toToken": "An example name",
"fromTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
},
"toTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
}
},
"txHash": "<string>",
"settlementTxHash": "<string>",
"broadcastedAt": "2023-11-07T05:31:56Z",
"sourceConfirmedAt": "2023-11-07T05:31:56Z",
"confirmations": 123,
"settlement": {
"toChainId": "An example name",
"toToken": "An example name",
"toAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"completedAt": "2023-11-07T05:31:56Z",
"amount": "<string>",
"amountUsd": "<string>",
"toTokenInfo": {
"symbol": "<string>",
"decimals": 123,
"name": "<string>",
"logoURI": "<string>"
}
},
"completedAt": "2023-11-07T05:31:56Z",
"failure": {
"code": "An example name",
"message": "<string>",
"category": "An example name",
"stage": "An example name",
"retryable": true,
"details": {}
},
"expiresAt": "2023-11-07T05:31:56Z",
"depositAddress": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"exchangeSource": {
"exchangeId": "95b11417-f18f-457f-8804-68e361f9164f",
"metadata": {}
},
"pegStablecoins": true,
"disableSwaps": true,
"uiConfig": {
"returnUrl": "<string>",
"termsOfServicesUrl": "https://website-sample.com",
"merchantName": "An example name",
"merchantLogoUrl": "https://website-sample.com/logo.png",
"externalPaymentId": "An example name",
"enabledPaymentMethods": [
"wallet"
]
},
"settlementConfig": {
"strategy": "cheapest",
"settlements": [
{
"chainName": "ETH",
"tokenAddress": "An example name",
"chainId": "An example name",
"symbol": "An example name",
"tokenDecimals": 18,
"isNative": true
}
]
},
"destinationConfig": {
"destinations": [
{
"chainName": "ETH",
"type": "address",
"identifier": "An example name"
}
]
}
},
"paymentUrl": "<string>"
}{
"error": "<string>",
"code": "exchange_currency_unsupported"
}{
"error": "No jwt provided!"
}{
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Body
Create-time payload for a flow. currency, settlementConfig and destinationConfig are written once here (by a trusted API-key caller) and are accepted by no later endpoint; so is amount, except that a deposit flow's payer can change it when quoting. mode is supplied in the URL path.
Amount in the specified currency
Currency the flow amount is denominated in. USD prices the amount against each settlement token. SETTLEMENT_TOKEN denominates the amount directly in the settlement token itself (e.g. "0.5" for 0.5 ETH, not wei); only valid for flows using payment mode AND with exactly one settlement token in the settlement config.
USD, SETTLEMENT_TOKEN Show child attributes
Show child attributes
Show child attributes
Show child attributes
Merchant-hosted payer app URL
Arbitrary metadata attached to the flow
Fee collection configuration specifying recipients and their shares.
Show child attributes
Show child attributes
Seconds until the flow expires (default 3600, clamped server-side)
When true, known stablecoins (USDC, USDT, DAI, etc.) in the settlement config are pegged 1:1 to the flow currency at quote time, skipping market-price lookup. Defaults to false.
When true, this flow will not be quoted through swap providers; the payer must supply a token/chain already accepted by the settlement config. Defaults to false.
Payer-facing UI config for a flow, set once at creation. Not part of the execution/settlement record.
Show child attributes
Show child attributes